use std::io::stdin;

fn main() {
    let mut line = String::new();

    stdin().read_line(&mut line).unwrap();
    let n: usize = line.trim().parse::<usize>();
    line.clear();
    stdin().read_line(&mut line).unwrap();
    let iter = line
        .trim()
        .split_whitespace()
        .map(|x| x.parse::<u32>().unwrap());
}
